GDB (xrefs)

Public Attributes | List of all members
with_catch_data Struct Reference

## Public Attributes
scm_t_catch_body | func
void * | data
scm_t_catch_handler | unwind_handler
scm_t_catch_handler | pre_unwind_handler
excp_matcher_func * | excp_matcher
SCM | stack
SCM | catch_result

## Detailed Description

Definition at line 39 of file scm-safe-call.c.

## Member Data Documentation

## ◆ catch_result

SCM with_catch_data::catch_result

Definition at line 52 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), gdbscm_with_catch(), and gdbscm_with_guile().

## ◆ data

void* with_catch_data::data

Definition at line 42 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), gdbscm_with_catch(), gdbscm_with_guile(), scscm_recording_pre_unwind_handler(), and scscm_recording_unwind_handler().

## ◆ excp_matcher

excp_matcher_func* with_catch_data::excp_matcher

Definition at line 49 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), and gdbscm_with_guile().

## ◆ func

scm_t_catch_body with_catch_data::func

Definition at line 41 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), gdbscm_with_catch(), and gdbscm_with_guile().

## ◆ pre_unwind_handler

scm_t_catch_handler with_catch_data::pre_unwind_handler

Definition at line 44 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), gdbscm_with_catch(), and gdbscm_with_guile().

## ◆ stack

SCM with_catch_data::stack

Definition at line 51 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), and gdbscm_with_guile().

## ◆ unwind_handler

scm_t_catch_handler with_catch_data::unwind_handler

Definition at line 43 of file scm-safe-call.c.

Referenced by gdbscm_call_guile(), gdbscm_with_catch(), and gdbscm_with_guile().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-safe-call.c